From f1013cb98d833e6c88ffd256deb259c31f7b3ff9 Mon Sep 17 00:00:00 2001 From: Yoshia Makino Date: Mon, 13 Jul 2026 16:17:36 +0100 Subject: [PATCH] docs(document): add enable_watermark parameter to POST /v2/document Document the enable_watermark request parameter for document translation. When true, a "Translated by DeepL" watermark is applied to the translated output. Supported for docx and pdf output only; ignored for other formats. Adds the property to both the YAML source and generated JSON specs, plus a Watermark usage example. Co-Authored-By: Claude Opus 4.8 (1M context) --- api-reference/openapi.json | 13 +++++++++++++ api-reference/openapi.yaml | 13 +++++++++++++ 2 files changed, 26 insertions(+) diff --git a/api-reference/openapi.json b/api-reference/openapi.json index cf76864e..59803f67 100644 --- a/api-reference/openapi.json +++ b/api-reference/openapi.json @@ -1077,6 +1077,14 @@ "file": "@document.docx" } }, + "Watermark": { + "summary": "Adding a \"Translated by DeepL\" watermark", + "value": { + "target_lang": "DE", + "file": "@document.docx", + "enable_watermark": true + } + }, "Glossary": { "summary": "Using a Glossary", "value": { @@ -1169,6 +1177,11 @@ "translation_memory_threshold": { "$ref": "#/components/schemas/TranslationMemoryThreshold" }, + "enable_watermark": { + "description": "When `true`, adds a \"Translated by DeepL\" watermark to the translated document.\n\nOnly supported for `docx` and `pdf` output. For all other output formats the parameter is ignored and the document is returned without a watermark.", + "type": "boolean", + "default": false + }, "enable_beta_languages": { "description": "This parameter is maintained for backward compatibility and has no effect.", "type": "boolean", diff --git a/api-reference/openapi.yaml b/api-reference/openapi.yaml index dd515519..07dff41e 100644 --- a/api-reference/openapi.yaml +++ b/api-reference/openapi.yaml @@ -827,6 +827,12 @@ paths: value: target_lang: DE file: '@document.docx' + Watermark: + summary: Adding a "Translated by DeepL" watermark + value: + target_lang: DE + file: '@document.docx' + enable_watermark: true Glossary: summary: Using a Glossary value: @@ -925,6 +931,13 @@ paths: $ref: '#/components/schemas/TranslationMemoryId' translation_memory_threshold: $ref: '#/components/schemas/TranslationMemoryThreshold' + enable_watermark: + description: |- + When `true`, adds a "Translated by DeepL" watermark to the translated document. + + Only supported for `docx` and `pdf` output. For all other output formats the parameter is ignored and the document is returned without a watermark. + type: boolean + default: false enable_beta_languages: description: |- This parameter is maintained for backward compatibility and has no effect.